import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/appbar_custom.dart';
import 'package:rkm_educa_app/componentes/item_modelo.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import 'package:rkm_educa_app/modelos/estudante_modelo.dart';
import 'package:rkm_educa_app/telas/tela_avisos.dart';
import 'package:rkm_educa_app/utils/cores.dart';
import '../componentes/buttom_custom.dart';
import '../controllers/main_controllers.dart';
import '../utils/dimensoes.dart';

class TelaDetalhesAvisos extends StatefulWidget {
  EstudanteModelo estudanteModelo;

  TelaDetalhesAvisos({
    required this.estudanteModelo
});

  @override
  State<TelaDetalhesAvisos> createState() => _TelaDetalhesAvisosState();
}

class _TelaDetalhesAvisosState extends State<TelaDetalhesAvisos> {

  @override
  void initState() {
    super.initState();
    MainControllers().salvarLog(widget.estudanteModelo, 'DETALHES_AVISO');
  }

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: AppBarCustom().appbar(context, 'DESCRIÇÃO DO AVISO'),
      body: Padding(
        padding: EdgeInsets.all(30),
        child: ListView(
          children: [
            ItemModelo(texto: 'Não haverá aula', titulo: 'Título'),
            ItemModelo(texto: '28/04/2023', titulo: 'Data'),
            ItemModelo(texto: '08:00', titulo: 'Hora'),
            ItemModelo(texto: '', titulo: 'Descrição'),
            TextCustom(text: 'Não haverá aula no dia 01 de maio de 2023, devido o feriado do Dia do trabalhador',maxLines: 20,color: PaletaCores.cinzaClaro,),
            SizedBox(height: 40,),
            Padding(
              padding: EdgeInsets.symmetric(horizontal: Dimensoes.width*0.2),
              child: ButtonCustom(
                text: 'Marcar como lido',
                fontsize: 14,
                heightCustom: 0.05,
                widthCustom: 0.3,
                colorButton: PaletaCores.cinzaClaro,
                colorBorder: PaletaCores.cinzaClaro,
                colorText: PaletaCores.branco,
                onPressed: ()=>Navigator.pushReplacement(context, MaterialPageRoute(builder: (context)=>TelaAvisos(estudanteModelo: widget.estudanteModelo))),
              ),
            )
          ],
        ),
      ),
    );
  }
}
